{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Launch",
            "type": "go",
            "request": "launch",
            "program": "${workspaceFolder}"
        },
        {
            "name": "Attach to Remote",
            "type": "go",
            "debugAdapter": "dlv-dap",
            "request": "attach",
            "mode": "remote",
            "port": 4321,
            "host": "losandesgames.com",
            // "substitutePath": [
            //     { "from": "${workspaceFolder}", "to": "/home/alfheim/linux_amd64" },
            // ]
        },
        {
            "name": "Launch Remote",
            "type": "go",
            "debugAdapter": "dlv-dap",
            "request": "launch",
            "mode": "exec",
            "program": "/home/alfheim/linux_amd64/alfheim-website",
            "port": 4321,
            "host": "losandesgames.com",
            // "substitutePath": [
            //     { "from": "${workspaceFolder}", "to": "/home/alfheim/linux_amd64" },
            // ]
        }
    ]
}